//go:build ignore

package postgres

const (
	queryListPackage = `
select 
    id,
    name,
    url,
	comments
	--modules,
	--issues,
    from package;
`
	queryAddComment = `
with insert_comm as (
    insert into comment(text) values ($1) returning id
)
update package set comments = array_append(comments, (select * from insert_comm)) where id=$2;
`
	queryAddPackage = `
insert into package(name, url, modules) values ($1, $2, $3);
`
	queryInsMsgGetIDs = `
insert into module(name, version, last_version)  values
%s
returning id;
`
	queryGetModule = `
select id, name, version, last_version from module
where id in %s ;
`
)
